---
- name: Install nfs-common
  ansible.builtin.apt:
    pkg:
      - nfs-common

- name: "Create {{ nfs_client_mounts }}"
  ansible.builtin.file:
    path: "{{ item.path }}"
    state: directory
    recurse: true
  loop: "{{ nfs_client_mounts }}"

- name: "Mount {{ nfs_client_mounts }}"
  ansible.posix.mount:
    path: "{{ item.path }}"
    src: "{{ item.src }}"
    state: mounted
    fstype: nfs4
  loop: "{{ nfs_client_mounts }}"
